(*

Program to produce all figures for Carroll, Overland, and Weil

(The envy version only)

*)

PrintFigs   = False;     (* Determines whether to print the figures *)
DisplayFigs = False;     (* Determines whether to display the intermediate-product figures *)
DisplayFinalFigs = True; (* Determines whether to display the final-product figures *)


<<setup.m;

<<PhaseDiagramcOzVScdotOc_Envy.m;  (* Do the first phase diagram *)

<<PhaseDiagramcOzVSkOz_Envy.m;     (* Do the next phase diagram  *)

<<PhaseDiagram3D.m;                (* Do the 3D phase diagram that combines the first two *)

<<InitialConditions3D.m;
<<InitialConditions3D_Both.m;


(* 
Now generate the figures showing the policy functions and how they evolve
over time using dots
*)

<<TimeSeries_params.m; <<CalcSS.m;

<<PolicyFnsVaryingGamSig.m;

<<PolicyFunctions_Both.m;

<<TimeSeries_Both.m;                     (* Compare the two cases after a 10% shock to k *)

<<TimeSeries_kShock_Both_Rhos.m;          (* Show how the reaction to a shock to k depends on rho *)

<<SteadyStateOutputLossByRho.m;          (* Figure showing steady-state loss in output for various rho *)

<<HabitsVSRebelo.m;
