(*

Program to produce all figures for 
"Saving and Growth with Habit Formation" 


Files that needed to be revised for the version of the paper
excluding envy have been renamed to have the same name as
before but with _Habits appended.

*)

PrintFigs   = False;      (* Determines whether to print the figures *)
DisplayFigs = False;      (* Determines whether to display the intermediate-product figures *)
DisplayFinalFigs = True;  (* Determines whether to display the final-product figures *)

<<setup.m;

<<params.m;               (* Set up parameter values *)
<<boundaries.m;           (* Sets boundaries for the stable-arm generating routine *)

<<eqns_of_motion.m;       (* Set up equations of motion *)
<<stable_arm.m;           (* Find the stable arm *)


<<PolicyFnsVaryingGamSig.m;         (* Construct and graph policy functions for different parameter values *)

<<TimeSeries_kShock_Habits.m        (* Explore the time series implications of a 10% drop in k *)

<<TimeSeries_AShock_Habits.m        (* Explore the time series implications of an increase in A *)

