(*

This file creates the figure which compares the growth rate in 
a habits economy to the growth rate in a Rebelo economy with
the same parameter values.

*)

RebeloGrowth = (A - delta - theta) / sigma;
COWGrowth    = (A - delta - theta) / (gamma*(1-sigma) + sigma);

ScaleFactor = 1;

rho = .4;<<CalcSS.m;kOzSSrho40 = kOzSS;

rho = .2;<<CalcSS.m;kOzSSrho20 = kOzSS;

InitialkOzFraction = kOzSSrho40/kOzSS;

<<TimeSeries_kShock_Both_Graph.m;

<<DisplayOn.m; Show[kdotOkTimeSeriesPlots,DisplayFunction->$DisplayFunction];

kdotOkTimeSerieskShockPlotAftert1rho20 = kdotOkTimeSerieskShockPlotAftert1

rho = .1;<<CalcSS.m;kOzSSrho10 = kOzSS;

InitialkOzFraction = kOzSSrho20/kOzSS;

<<TimeSeries_kShock_Both_Graph.m;

<<DisplayOn.m; Show[kdotOkTimeSeriesPlots,DisplayFunction->$DisplayFunction];

kdotOkTimeSerieskShockPlotAftert1rho10 = kdotOkTimeSerieskShockPlotAftert1

rho = .05;<<CalcSS.m;kOzSSrho05 = kOzSS;

InitialkOzFraction = kOzSSrho40/kOzSS;

<<TimeSeries_kShock_Both_Graph.m;

Print["Length of DevolvPts3D is:"<>ToString[Length[DevolvPts3D]]];

<<DisplayOn.m; Show[kdotOkTimeSeriesPlots,DisplayFunction->$DisplayFunction];

kdotOkTimeSerieskShockPlotAftert1rho05 = kdotOkTimeSerieskShockPlotAftert1

rho = .01;<<CalcSS.m;kOzSSrho01 = kOzSS;

InitialkOzFraction = kOzSSrho40/kOzSS;

kOzMaxDevolving = 60;

<<TimeSeries_kShock_Both_Graph.m;

Print["Length of DevolvPts3D is:"<>ToString[Length[DevolvPts3D]]];

<<DisplayOn.m; Show[kdotOkTimeSeriesPlots,DisplayFunction->$DisplayFunction];

kdotOkTimeSerieskShockPlotAftert1rho01 = kdotOkTimeSerieskShockPlotAftert1;


rho = .005;<<CalcSS.m;kOzSSrho005 = kOzSS;

InitialkOzFraction = kOzSSrho40/kOzSS;

cOzMaxDevolving = 20;
kOzMaxDevolving = 100;

<<TimeSeries_kShock_Both_Graph.m;

Print["Length of DevolvPts3D is:"<>ToString[Length[DevolvPts3D]]];

<<DisplayOn.m; Show[kdotOkTimeSeriesPlots,DisplayFunction->$DisplayFunction];

kdotOkTimeSerieskShockPlotAftert1rho005 = kdotOkTimeSerieskShockPlotAftert1


GrowthLoci = Plot[{RebeloGrowth,COWGrowth},{t,-1,YearsToShow+2}
,PlotStyle->{Thickness[.005]}
];



HabitsVSRebelo = Show[
 GrowthLoci
,kdotOkTimeSerieskShockPlotAftert1rho20
,kdotOkTimeSerieskShockPlotAftert1rho05
,kdotOkTimeSerieskShockPlotAftert1rho005
,Graphics[Text["Rebelo Growth",{27,RebeloGrowth},{-1,0}]]
,Graphics[Text["Steady State" ,{27,COWGrowth},{-1,0}]]
,Graphics[Text["\[Rho] = .2"  ,  {4,COWGrowth-.001},{-1,0}]]
,Graphics[Text["\[Rho] = .05" ,  {25,COWGrowth-.001},{-1,0}]]
,Graphics[Text["\[Rho] = .005" ,  {25,RebeloGrowth+.001},{-1,0}]]
,PlotRange->{{0,YearsToShow+3},{RebeloGrowth-.002,COWGrowth+.002}}
,AxesOrigin->{0,RebeloGrowth-.002}
,AxesLabel->{"Years","Growth"}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&) 
,ImageSize->HalfPageSize
];


