(* 

Show the 3D stable arm from the social planner's problem and
from the decentralized problem in the same figure

*)

<<DisplayOff.m;
If[DisplayFigs == True,<<DisplayOn.m];

DGrayLevel = .4;

(* Draw the projection of the decentralized stable arm into the back face *)
DStableArmcOzVSkOz = ParametricPlot3D[
(*{cOz,cdotOcMax,DDevolvFunc2DcOzVSkOz[cOz],GrayLevel[DGrayLevel]}*)
{cOz,cdotOcMax,DDevolvFunc2DcOzVSkOz[cOz],GrayLevel[DGrayLevel]}
,{cOz,DMinPtscOz,DMaxPtscOz}
,DisplayFunction->Identity
];

(* Draw the projection of the decentralized stable arm into the bottom face *)
DStableArmcOzVScdotOc = ParametricPlot3D[
{cOz,DDevolvFunc2DcOzVScdotOc[cOz],0,GrayLevel[DGrayLevel]}(* ,{cOz,Max[DMinPtscOz,cOzMin3DPlot],Min[DMaxPtscOz,cOzMax3DPlot]} *)
,{cOz,DMinPtscOz,DMaxPtscOz}
,DisplayFunction->Identity
];

DStableArm3D = ParametricPlot3D[
{cOz,DDevolvFunc2DcOzVScdotOc[cOz],DDevolvFunc2DcOzVSkOz[cOz],{Dashing[{.01,.02}]}}
(* ,{cOz,Max[DMinPtscOz,cOzMin3DPlot],Min[DMaxPtscOz,cOzMax3DPlot]} *)
,{cOz,DMinPtscOz,DMaxPtscOz}
];

If[DisplayFigs == True,<<DisplayOn.m];

<<DisplayOn.m;

InitialConditions3DBoth = Show[
StableArm3D
,DStableArm3D
,LightkOzConstPlane
,LightHikOzConstPlane
,LowIntersectionPoint3D
,HiIntersectionPoint3D
,DStableArmcOzVSkOz
,DStableArmcOzVScdotOc
,StableArmcOzVSkOz
,StableArmcOzVScdotOc
,SS
,PlotRange->{{cOzMin3DAxis,cOzMax3DPlot}
	,{InvcOzAlldotIsZeroUpper[cOzLeftStartingPoint],cdotOcMax3DPlot}
	,{kOzMin3DPlot,DevolvFunc2DcOzVSkOz[cOzMax3DPlot]}}
,AxesLabel->{"c/z","\!\(\(c\& . \)/c\)","k/z"}
,Axes->True
,ViewPoint->{-1.2,-2.6,.8}
,Lighting->False
,BoxRatios->{1,1,1}
,Ticks->{{{0,"(0,0,0)"}},{},{}}
,AxesEdge->{Automatic,{-1,-1},Automatic}
,DisplayFunction->$DisplayFunction
,ImageSize->FullPageSize
]

diroutenvy;
Display["InitialConditions3DBoth.eps",InitialConditions3DBoth,"EPS"];
dirprog;

