(*

Program written to draw figures comparing policy functions
with different values of gamma and sigma

*)

Print["Generating policy functions for different parameter values."];

PolFnPlotMin = Table[ Infinity,{7}];
PolFnPlotMax = Table[-Infinity,{7}];

<<TimeSeries_params.m;
sigma = 3.66666; gamma = .25; <<CalcSS.m;
Describe = "gam25sig3.6";
PointSizeForPlots = .014;
<<PolicyFunctions_Habits.m
PolFnsgam25sig3666 = CombinePolFns;


<<TimeSeries_params.m;
sigma = 5; gamma = .5; <<CalcSS.m;
Describe = "gam5sig5";
PointSizeForPlots = .009;
<<PolicyFunctions_Habits.m
PolFnsgam5sig5 = CombinePolFns;


<<TimeSeries_params.m;
sigma = 9; gamma = .75; <<CalcSS.m;
Describe = "gam75sig9";
PointSizeForPlots = .005;
<<PolicyFunctions_Habits.m
PolFnsgam75sig9 = CombinePolFns;



CombinedPlots = Table[0,{Length[PolFnsgam75sig9]}];


Do[
CombinedPlots[[i]] = Show[PolFnsgam25sig3666[[i]],PolFnsgam5sig5[[i]],PolFnsgam75sig9[[i]]
,PlotRange->{{MinPtskOz,kOzMaxDevolving},{PolFnPlotMin[[i]],PolFnPlotMax[[i]]*1.1}}
,AxesOrigin->{MinPtskOz,PolFnPlotMin[[i]]}
];
,{i,7}
];

CombinedPlots[[1]] = Show[
   CombinedPlots[[1]]
  ,Graphics[Text["Strong Habits",{25,1.0},{-1,0}]]
	,Graphics[Arrow[{24.5,1.1},{21,1.4}]]
  ,Graphics[Text["Medium Habits",{28,3.0},{1,0}]]
	,Graphics[Arrow[{28,3.0},{29.5,2.05}]]
  ,Graphics[Text["Weak Habits",{20,2.2},{1,0}]]
	,Graphics[Arrow[{20,2.2},{24.5,2.05}]]
	,ImageSize->HalfPageSize
];

CombinedPlots[[2]] = 
Show[CombinedPlots[[2]]
, Graphics[Text["Strong Habits", {8, -.05}, {-1, 0}]], 
  Graphics[Arrow[{8, -.05}, {3, -.07}]], 
  Graphics[Text["Medium Habits", {3, 0.055}, {-1, 1}]], 
  Graphics[Arrow[{6, 0.04}, {3, -.038}]], 
  Graphics[Text["Weak Habits", {25, .03}, {-1, 0}]], 
  Graphics[Arrow[{25, 0.03}, {21.5, .043}]], ImageSize -> HalfPageSize
  ];
  
CombinedPlots[[4]] = 
Show[
   CombinedPlots[[4]]
  ,Graphics[Text["Strong Habits",{8,-.03},{-1,0}]]
	,Graphics[Arrow[{8,-.03},{3,-.05}]]
  ,Graphics[Text["Medium Habits",{25,.055},{1,0}]]
	,Graphics[Arrow[{25,.055},{29,.045}]]
  ,Graphics[Text["Weak Habits",{25,.01},{-1,0}]]
	,Graphics[Arrow[{25,0.01},{21.5,.025}]]
	,ImageSize->HalfPageSize
];


CombinedPlots[[7]] = 
Show[
   CombinedPlots[[7]]
  ,Graphics[Text["Strong Habits",{8,-.05},{-1,0}]]
	,Graphics[Arrow[{8,-.05},{3,-.07}]]
  ,Graphics[Text["Medium Habits",{28,.30},{1,0}]]
	,Graphics[Arrow[{28,.3},{29.5,.55}]]
  ,Graphics[Text["Weak Habits",{5,.6},{-1,0}]]
	,Graphics[Arrow[{5,.6},{3,.35}]]
	,ImageSize->HalfPageSize
];
If[DisplayFinalFigs == True,dirprog;<<DisplayOn.m;dirout;];

VaryingGamSigcOzAndcdotOc = Show[
  GraphicsArray[{{CombinedPlots[[1]]},{CombinedPlots[[2]]}}]
  ,ImageSize->FullPageSize
  ];
VaryingGamSigsOyAndkdotOk = Show[GraphicsArray[{{CombinedPlots[[7]]},{CombinedPlots[[4]]}}],ImageSize->FullPageSize];


dirouthabits;
Display["VaryingGamSigcOzAndcdotOc.eps",VaryingGamSigcOzAndcdotOc,"EPS"];
Display["VaryingGamSigsOyAndkdotOk.eps",VaryingGamSigsOyAndkdotOk,"EPS"];
dirprog;

