(*

Generate the policy functions as a series of dots representing
successive periods in both models 

Made mostly by commenting out the lines that do the envy versions
of the plots.  Lines that have been commented out for this reason
are commented out with a comment that begins with the word envy

*)

ScaleFactor = .75;  (* ScaleFactor determines the time gap between dots; .6666 means 3/2 of a year *)

(* Envy: parameters and SS are calculated in main control program  for Habits model
<<TimeSeries_params.m;

rho = .4;
<<CalcSS.m;
*)
<<eqns_of_motion.m;
<<stable_arm.m;

(* Envy: Don't need these for habits model
<<eqns_of_motion_decen.m;
<<stable_arm_decen.m;
*)

<<DisplayOff.m;If[DisplayFigs == True,<<DisplayOn.m];

PointsLists         =  { DevolvPtskOzVScOz, DevolvPtskOzVScdotOc, DevolvPtskOzVSkOzAlldot, DevolvPtskOzVSkdotOk, DevolvPtskOzVSzdotOz, DevolvPtskOzVScdotOcAlldot, DevolvPtskOzVSsOy};
(* Envy
DPointsLists        =  {DDevolvPtskOzVScOz,DDevolvPtskOzVScdotOc,DDevolvPtskOzVSkOzAlldot,DDevolvPtskOzVSkdotOk,DDevolvPtskOzVSzdotOz,DDevolvPtskOzVScdotOcAlldot, DDevolvPtskOzVSsOy};
*)

VerticalAxisSeriesTeX  =  {"c/h","\dot{c}/c"         ,"~\ \dot{\\left(\\frac{k}{h}\\right)}","\dot{k}/k"         ,"\dot{h}/h"         ,"~\ \dot{\\left(\\frac{\dot{c}}{c}\\right)}","s/y"};
VerticalAxisSeries     =  {"c/h","\!\(\(c\& . \)\)/c","\!\(\((k/h)\& . \)\)"               ,"\!\(\(k\& . \)\)/k","\!\(\(h\& . \)\)/h","\!\(\(\((\(c\& . \)/c)\)\& . \)\)","s/y"};

PolFnsNames  =  {"kOzVScOz","kOzVScdotOc","kOzVSkOzAlldot","kOzVSkdotOk","kOzVSzdotOz","kOzVScdotOcAlldot","kOzVSsOy"};
PolFns       =  PolFnsNames; (* Simple way to make it the right length *)
DPolFns      =  PolFnsNames; (* Simple way to make it the right length *)
CombinePolFns=  PolFnsNames; (* Simple way to make it the right length *)
SteadyState  =  PolFns;      (* Simple way to make it the right length *)


MinList      = {MinPtscOz,MinPtscdotOc,MinPtskOzAlldot,MinPtskdotOk,MinPtszdotOz,MinPtscdotOcAlldot,MinPtssOy};
MaxList      = {MaxPtscOz,MaxPtscdotOc,MaxPtskOzAlldot,MaxPtskdotOk,MaxPtszdotOz,MaxPtscdotOcAlldot,MaxPtssOy};

DMinList     = {DMinPtscOz,DMinPtscdotOc,DMinPtskOzAlldot,DMinPtskdotOk,DMinPtszdotOz,DMinPtscdotOcAlldot,DMinPtssOy};
DMaxList     = {DMaxPtscOz,DMaxPtscdotOc,DMaxPtskOzAlldot,DMaxPtskdotOk,DMaxPtszdotOz,DMaxPtscdotOcAlldot,DMaxPtssOy};


Do[
PolFnPlotMin[[i]] = Min[PolFnPlotMin[[i]],MinList[[i]]];
PolFnPlotMax[[i]] = Max[PolFnPlotMax[[i]],MaxList[[i]]];
PolFns[[i]] = ListPlot[PointsLists[[i]]
,PlotRange->{{0,kOzMaxDevolving},{MinList[[i]],MaxList[[i]]}}
,PlotLabel->"Policy Functions for " <> VerticalAxisSeries[[i]]
,AxesLabel->{"k/h",VerticalAxisSeries[[i]]}
,AxesOrigin->{0,MinList[[i]]}
(* Envy ,AxesOrigin->{Min[MinPtskOz,DMinPtskOz],Min[MinList[[i]],DMinList[[i]]]} *)
,PlotStyle->{PointSize[PointSizeForPlots]}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText,MinorLength->{0,0}]&)
];
SteadyState[[i]] = ListPlot[{{kOzSS,MinList[[i]]},{kOzSS,MaxList[[i]]}},PlotJoined->True,Ticks->None];
,{i,Length[PointsLists]}]


(* Envy
Do[
DPolFns[[i]] = ListPlot[DPointsLists[[i]]
,PlotRange->{{Min[0,DMinPtskOz],kOzMaxDevolving},{Min[MinList[[i]],DMinList[[i]]],MaxList[[i]]}}
,PlotLabel->"Policy Function for " <> VerticalAxisSeries[[i]]
,AxesLabel->{"k/h",VerticalAxisSeries[[i]]}
,AxesOrigin->{Min[0,DMinPtskOz],Min[MinList[[i]],DMinList[[i]]]}
,PlotStyle->{PointSize[.005]}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
]
,{i,Length[PointsLists]}]
*)

Do[
CombinePolFns[[i]] = Show[PolFns[[i]]
,SteadyState[[i]]
(* Envy ,DPolFns[[i]]*)]
,{i,Length[PointsLists]}]



