
(*

This figure calculates the steady-state loss of output caused by
a given shock to k/z, starting from steady-state, for a variety
of different values of rho.

*)

<<TimeSeries_params.m;
ScaleFactor = 5;
NumOfDevolvingPoints=1000;
rhomax = 1;
rhomin = .02;
rhostep = .03;

cOzMinDevolving = .01;
ListOfOutputRatiosEnvy = ListOfOutputRatiosHabits = ListOfRhos = {};
Do[

<<CalcSS.m;
<<TimeSeries_Generate_Both.m;

ListOfOutputRatiosHabits = Append[ListOfOutputRatiosHabits,Last[ EvolvingkOkIfNoShock]];
ListOfOutputRatiosEnvy  =  Append[ListOfOutputRatiosEnvy  ,Last[DEvolvingkOkIfNoShock]];
ListOfRhos = Append[ListOfRhos,rho];
,{rho,rhomin,rhomax,rhostep}];


<<DisplayOff.m;If[DisplayFinalFigs == True,<<DisplayOn.m;];

RatiosByRhoHabits = ListPlot[Transpose[{ListOfRhos,ListOfOutputRatiosHabits}]
,PlotLabel->"Habits"
,PlotJoined->True
];

RatiosByRhoEnvy   = ListPlot[Transpose[{ListOfRhos,ListOfOutputRatiosEnvy}]
,PlotStyle->{Dashing[{.01,.01}]}
,PlotLabel->"Envy"
,PlotJoined->True
];

$DefaultFont = {"Times-Roman",14}

RatiosByRho = Show[
 RatiosByRhoHabits
,RatiosByRhoEnvy
,PlotRange->{{0,rhomax},{Min[Min[ListOfOutputRatiosHabits],Min[ListOfOutputRatiosEnvy]]-.01,1.0}}
,AxesOrigin->{0,Min[Min[ListOfOutputRatiosHabits],Min[ListOfOutputRatiosEnvy]]-.01}
,PlotLabel->"Steady State Output Over No-Shock Output"
,AxesLabel->{"\[Rho]","Ratio"}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
,ImageSize->HalfPageSize
]

diroutenvy;
Display["RatiosByRho.eps",RatiosByRho,"EPS"];
dirprog;

