(* 

Program to generate the data used for time series plots
This proram assumes that all parameter values are already
set at desired values.

*)

<<DisplayOff.m;
If[DisplayAll == True,<<DisplayOn.m];

<<eqns_of_motion.m;
<<stable_arm.m;

Clear[Evolve3D];
Evolve3D[ListToEvolve_] := Block[{},
	cOzPoint   = ListToEvolve[[-1,1]];
	cdotOcPoint= ListToEvolve[[-1,2]];
	kOzPoint   = ListToEvolve[[-1,3]];
Return[Join[ListToEvolve,{
{cOzPoint    + cOzAlldot[   cOzPoint,cdotOcPoint]/ScaleFactor,
 cdotOcPoint + cdotOcAlldot[cOzPoint,cdotOcPoint]/ScaleFactor,
 kOzPoint    + kOzAlldot[   cOzPoint,kOzPoint   ]/ScaleFactor}}
           ]
      ]
];

Clear[Closest];
Closest[list_,point_] := Min[Abs[list - point]];

Clear[EvolveSteps3D];
EvolveSteps3D[StartList_,NumberOfSteps_] :=
Block[{},
EvolvingList={StartList};
Do[
If[   Abs[Last[EvolvingList][[1]]] > cOzMax 
   || Abs[Last[EvolvingList][[2]]] > cdotOcMax
(*   || Abs[Last[EvolvingList][[3]]] > kOzSS *),
(* then *) Break[]];
(* else *) 
EvolvingList = Evolve3D[EvolvingList];
,{i,NumberOfSteps}];
Return[EvolvingList]];

InitialkOz    = InitialkOzFraction * kOzSS;
LeftArm       = (InitialkOzFraction < 1);
If[LeftArm,(* then *) ClosestkOzPos = Position[Abs[DevolvPtsLeftkOz- InitialkOz],Closest[DevolvPtsLeftkOz ,InitialkOz]][[1,1]],
           (* else *) ClosestkOzPos = Position[Abs[DevolvPtsRightkOz-InitialkOz],Closest[DevolvPtsRightkOz,InitialkOz]][[1,1]]
  ];
DevolvPts3D   = If[LeftArm,(* then *) DevolvPtsLeft3D,(* else *) DevolvPtsRight3D];
EvolvingSteps3D = Reverse[Take[DevolvPts3D,ClosestkOzPos]];
TEvolvingSteps3D = Transpose[EvolvingSteps3D];
EvolvingcOz    = TEvolvingSteps3D[[1]];
EvolvingcdotOc = TEvolvingSteps3D[[2]];
EvolvingkOz    = TEvolvingSteps3D[[3]];
EvolvingcOk    = EvolvingcOz/EvolvingkOz;
EvolvingkdotOk = (A - delta) - EvolvingcOk;
EvolvingsOy    = 1 - EvolvingcOk/A;

(* Now do it for the decentralized economy *)
(* Envy
<<eqns_of_motion_decen.m;
<<stable_arm_decen.m;

LeftArm       = (InitialkOzFraction < 1);
If[LeftArm,(* then *) ClosestkOzPos = Position[Abs[DDevolvPtsLeftkOz-InitialkOz],Closest[DDevolvPtsLeftkOz,InitialkOz]][[1,1]],
           (* else *) ClosestkOzPos = Position[Abs[DDevolvPtsRightkOz-InitialkOz],Closest[DDevolvPtsRightkOz,InitialkOz]][[1,1]]
  ];
InitialkOz    = InitialkOzFraction * kOzSS;
DDevolvPts3D   = If[LeftArm,(* then *) DDevolvPtsLeft3D,(* else *) DDevolvPtsRight3D];
DEvolvingSteps3D = Reverse[Take[DDevolvPts3D,ClosestkOzPos]];
DTEvolvingSteps3D = Transpose[DEvolvingSteps3D];
DEvolvingcOz    = DTEvolvingSteps3D[[1]];
DEvolvingcdotOc = DTEvolvingSteps3D[[2]];
DEvolvingkOz    = DTEvolvingSteps3D[[3]];
DEvolvingcOk    = DEvolvingcOz/DEvolvingkOz;
DEvolvingkdotOk = (A - delta) - DEvolvingcOk;
DEvolvingsOy    = 1 - DEvolvingcOk/A;

*)