
(*

Program to generate figure showing time series effect of 
an increase in A sufficient to raise the growth rate from 
1% to 2%, for three different values of gamma

*)

If[DisplayFigs == True,<<DisplayOn.m,<<DisplayOff.m];

<<TimeSeries_params.m;

ScaleFactor = 1;

gamma = .75;
sigma = 9;

growth = .01;
<<CalcSS.m;
sOySSgam75 = sOySS;
cdotOcSSgam75 = cdotOcSS;
Agrowth1 = A;
kOzgrowth1 = kOzSS;

growth = .02;
<<CalcSS.m;
Agrowth2 = A;
kOzgrowth2 = kOzSS;

InitialkOzFraction = kOzgrowth1/kOzgrowth2;

<<TimeSeries_Generate_Habits.m;

NumOfEvolvingPoints = Length[EvolvingsOy];

SPYears = Table[i/ScaleFactor,{i,NumOfEvolvingPoints}] //N;

EvolvingsOyAShockgam75    = EvolvingsOy;
EvolvingkdotOkAShockgam75 = EvolvingkdotOk;

SPsOygam75TimeSeriesAShockData = Transpose[{SPYears,EvolvingsOyAShockgam75}];
SPsOygam75TimeSeriesAShock     = Interpolation[SPsOygam75TimeSeriesAShockData,InterpolationOrder->1];

SPkdotOkgam75TimeSeriesAShockData = Transpose[{SPYears,EvolvingkdotOkAShockgam75}];
SPkdotOkgam75TimeSeriesAShock     = Interpolation[SPkdotOkgam75TimeSeriesAShockData,InterpolationOrder->1];

sOygam75TimeSeriesAShockPlot    = Plot[If[t>=1,(* then plot *) SPsOygam75TimeSeriesAShock[t],(* else plot *) sOySS],{t,-1,YearsToShow}]
kdotOkgam75TimeSeriesAShockPlot = Plot[If[t>=1,(* then plot *) SPkdotOkgam75TimeSeriesAShock[t],(* else plot *) cdotOcSS],{t,1,YearsToShow}]


gamma = .5;
sigma = 5;

growth = .01;
<<CalcSS.m;
sOySSgam5 = sOySS;
cdotOcSSgam5 = cdotOcSS;
Agrowth1 = A;
kOzgrowth1 = kOzSS;

growth = .02;
<<CalcSS.m;
Agrowth2 = A;
kOzgrowth2 = kOzSS;

InitialkOzFraction = kOzgrowth1/kOzgrowth2;

<<TimeSeries_Generate_Habits.m;

NumOfEvolvingPoints = Length[EvolvingsOy];

SPYears = Table[i/ScaleFactor,{i,NumOfEvolvingPoints}] //N;

EvolvingsOyAShockgam5    = EvolvingsOy;
EvolvingkdotOkAShockgam5 = EvolvingkdotOk;

SPsOygam5TimeSeriesAShockData = Transpose[{SPYears,EvolvingsOyAShockgam5}];
SPsOygam5TimeSeriesAShock     = Interpolation[SPsOygam5TimeSeriesAShockData,InterpolationOrder->1];
                         
SPkdotOkgam5TimeSeriesAShockData = Transpose[{SPYears,EvolvingkdotOkAShockgam5}];
SPkdotOkgam5TimeSeriesAShock     = Interpolation[SPkdotOkgam5TimeSeriesAShockData,InterpolationOrder->1];

sOygam5TimeSeriesAShockPlot    = Plot[If[t>=1,(* then plot *) SPsOygam5TimeSeriesAShock[t],(* else plot *) sOySS],{t,-1,YearsToShow}]
kdotOkgam5TimeSeriesAShockPlot = Plot[If[t>=1,(* then plot *) SPkdotOkgam5TimeSeriesAShock[t],(* else plot *) cdotOcSS],{t,1,YearsToShow}]



gamma = .25;
sigma = 3.6666;

growth = .01;
<<CalcSS.m;
sOySSgam25 = sOySS;
cdotOcSSgam25 = cdotOcSS;
Agrowth1 = A;
kOzgrowth1 = kOzSS;

growth = .02;
<<CalcSS.m;
Agrowth2 = A;
kOzgrowth2 = kOzSS;

InitialkOzFraction = kOzgrowth1/kOzgrowth2;

<<TimeSeries_Generate_Habits.m;

NumOfEvolvingPoints = Length[EvolvingsOy];

SPYears = Table[i/ScaleFactor,{i,NumOfEvolvingPoints}] //N;

EvolvingsOyAShockgam25    = EvolvingsOy;
EvolvingkdotOkAShockgam25 = EvolvingkdotOk;

SPsOygam25TimeSeriesAShockData = Transpose[{SPYears,EvolvingsOyAShockgam25}];
SPsOygam25TimeSeriesAShock     = Interpolation[SPsOygam25TimeSeriesAShockData,InterpolationOrder->1];

SPkdotOkgam25TimeSeriesAShockData = Transpose[{SPYears,EvolvingkdotOkAShockgam25}];
SPkdotOkgam25TimeSeriesAShock     = Interpolation[SPkdotOkgam25TimeSeriesAShockData,InterpolationOrder->1];

sOygam25TimeSeriesAShockPlot    = Plot[If[t>=1,(* then plot *) SPsOygam25TimeSeriesAShock[t],(* else plot *) sOySS],{t,-1,YearsToShow}]
kdotOkgam25TimeSeriesAShockPlot = Plot[If[t>=1,(* then plot *) SPkdotOkgam25TimeSeriesAShock[t],(* else plot *) cdotOcSS],{t,1,YearsToShow}]


kdotOkTimeSeriesAShockPlots = Plot[{
 If[t>=1,(* then plot *) SPkdotOkgam75TimeSeriesAShock[t],(* else plot *) cdotOcSSgam75]
,If[t>=1,(* then plot *) SPkdotOkgam5TimeSeriesAShock[t],(* else plot *) cdotOcSSgam5]
,If[t>=1,(* then plot *) SPkdotOkgam25TimeSeriesAShock[t],(* else plot *) cdotOcSSgam25]}
,{t,-1,YearsToShow}
,PlotStyle->{{GrayLevel[0],Dashing[{0.02}]},{GrayLevel[0],Dashing[{0.01}]},GrayLevel[0]}
(*,PlotLegend->{"\\gamma=.75,\\sigma=9","\\gamma=.5,\\sigma=5","\\gamma=.25,\\sigma=3\\frac{2}{3}"}*)
,PlotLegend->{"Strong Habits","Medium Habits","Weak Habits"}
,LegendSize->{.9,.25}
,LegendPosition->{-.2,.1}
,LegendShadow->{0,0}
,AspectRatio->.5
,AxesOrigin->{-2,.009}
,PlotRange->{{-2,26},{.0095,.04}}
,PlotLabel->"Growth Rate"
,AxesLabel->{"Years","\!\(\(y\& . \)/y\)"}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
]

sOyTimeSeriesAShockPlots = Plot[{
 If[t>=1,(* then plot *) SPsOygam75TimeSeriesAShock[t],(* else plot *) sOySSgam75]
,If[t>=1,(* then plot *) SPsOygam5TimeSeriesAShock[t],(* else plot *) sOySSgam5]
,If[t>=1,(* then plot *) SPsOygam25TimeSeriesAShock[t],(* else plot *) sOySSgam25]}
,{t,-1,YearsToShow}
,PlotStyle->{{GrayLevel[0],Dashing[{0.02}]},{GrayLevel[0],Dashing[{0.01}]},GrayLevel[0]}
,PlotLegend->{"Strong Habits","Medium Habits","Weak Habits"}
,LegendSize->{.9,.25}
,LegendPosition->{-.2,.1}
,LegendShadow->{0,0}
,AspectRatio->.5
,AxesOrigin->{-2,Min[EvolvingsOyAShockgam25]-.01}
,PlotRange->{{-2,26},{Min[EvolvingsOyAShockgam25]-.01,sOySSgam75+.08}}
,PlotLabel->"Saving Rate"
,PlotRange->All
,AxesLabel->{"Years","s/y"}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
]

If[DisplayFinalFigs==True,<<DisplayOn.m,<<DisplayOff.m];

AShockFigs = GraphicsArray[{{sOyTimeSeriesAShockPlots},{kdotOkTimeSeriesAShockPlots}}
,DisplayFunction->$DisplayFunction
,ImageSize->FullPageSize
]

Show[AShockFigs];

dirouthabits;
Display["AShockFigs.eps",AShockFigs,"EPS"];
dirprog;
