(* 
Do the first time series graphs, comparing the 	Inward
solution to the Outward
*)

$DefaultFont = {"Times-Roman",12};
<<DisplayOff.m;
If[DisplayFigs == True,<<DisplayOn.m];

SPYears = Table[i/ScaleFactor,{i,Length[EvolvingcOz]}] //N;
 DYears = Table[i/ScaleFactor,{i,Length[DEvolvingcOz]}] //N;
YearsToShow = 25;

SPcOzTimeSeriesData = Transpose[{SPYears,EvolvingcOz}];
SPcOzTimeSeries = Interpolation[SPcOzTimeSeriesData];

 DcOzTimeSeriesData = Transpose[{ DYears,DEvolvingcOz}];
 DcOzTimeSeries = Interpolation[ DcOzTimeSeriesData];

cOzTimeSeriesPlot = Plot[{SPcOzTimeSeries[t],DcOzTimeSeries[t]},{t,1,YearsToShow}
,PlotStyle->{GrayLevel[0],{GrayLevel[0],Dashing[{0.01}]}}
,PlotLegend->{"Inward","Outward"}
,LegendPosition->{0.0,-.1}
,AxesLabel->{"Years","c/z"}
,PlotLabel->"Evolution of c/z"
,AxesOrigin->{0,1}
,PlotRange->{{0,YearsToShow},{1,1.1}}
,LegendSize->{1.00,.3}
,AspectRatio->.5
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

SPcdotOcTimeSeriesData = Transpose[{SPYears,EvolvingcdotOc}];
SPcdotOcTimeSeries = Interpolation[SPcdotOcTimeSeriesData];

 DcdotOcTimeSeriesData = Transpose[{ DYears,DEvolvingcdotOc}];
 DcdotOcTimeSeries = Interpolation[ DcdotOcTimeSeriesData];

cdotOcTimeSeriesPlot = Plot[{SPcdotOcTimeSeries[t],DcdotOcTimeSeries[t]},{t,1,YearsToShow}
,PlotStyle->{GrayLevel[0],{GrayLevel[0],Dashing[{0.01}]}}
,PlotLegend->{"Inward","Outward"}
,LegendPosition->{0.0,-.1}
,AxesLabel->{"Years","\!\(\(c\& . \)/c\)"}
,PlotLabel->"Evolution of \!\(\(c\& . \)/c\)"
,AxesOrigin->{0,.013}
,PlotRange->{{0,YearsToShow},{.013,.02}}
,LegendSize->{1.00,.3}
,AspectRatio->.5
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

SPkdotOkTimeSeriesData = Transpose[{SPYears,EvolvingkdotOk}];
SPkdotOkTimeSeries = Interpolation[SPkdotOkTimeSeriesData];

 DkdotOkTimeSeriesData = Transpose[{ DYears,DEvolvingkdotOk}];
 DkdotOkTimeSeries = Interpolation[ DkdotOkTimeSeriesData];

kdotOkTimeSeriesPlot = Plot[{SPkdotOkTimeSeries[t],DkdotOkTimeSeries[t]},{t,1,YearsToShow}
,PlotStyle->{GrayLevel[0],{GrayLevel[0],Dashing[{0.01}]}}
,PlotLegend->{"Inward","Outward"}
,LegendPosition->{0.0,-.1}
,AxesLabel->{"Years","\!\(\(k\& . \)/k\)"}
,PlotLabel->"Evolution of \!\(\(k\& . \)/k\)"
,AxesOrigin->{0,.017}
,PlotRange->{{0,YearsToShow},{.017,.02}}
,LegendSize->{1.00,.3}
,AspectRatio->.5
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

SPsOyTimeSeriesData = Transpose[{SPYears,EvolvingsOy}];
SPsOyTimeSeries = Interpolation[SPsOyTimeSeriesData];

 DsOyTimeSeriesData = Transpose[{ DYears,DEvolvingsOy}];
 DsOyTimeSeries = Interpolation[ DsOyTimeSeriesData];

sOyTimeSeriesPlot = Plot[{SPsOyTimeSeries[t],DsOyTimeSeries[t]},{t,1,YearsToShow}
,PlotStyle->{GrayLevel[0],{GrayLevel[0],Dashing[{0.01}]}}
,PlotLegend->{"Inward","Outward"}
,LegendPosition->{0.0,-.1}
,AxesLabel->{"Years","s/y"}
,PlotLabel->"Evolution of s/y"
,AxesOrigin->{0,.520}
,PlotRange->{{0,YearsToShow},{.520,.540}}
,LegendSize->{1.00,.3}
,AspectRatio->.5
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

<<DisplayOn.m;
TimeSeriesBoth = GraphicsArray[{{cOzTimeSeriesPlot},{cdotOcTimeSeriesPlot},{kdotOkTimeSeriesPlot},{sOyTimeSeriesPlot}}
,DisplayFunction->$DisplayFunction
,ImageSize->FullPageSize
]

Show[TimeSeriesBoth];

diroutenvy;
Display["TimeSeriesBoth.eps",TimeSeriesBoth,"EPS"];
dirprog;

