(* 

Program to generate the data used for time series plots
This proram assumes that all parameter values are already
set at desired values.

*)

<<DisplayOff.m;If[DisplayAll == True,<<DisplayOn.m];

(*
Clear[Evolve3D];
Evolve3D[ListToEvolve_] := Block[{},
	cOzPoint   = ListToEvolve[[-1,1]];
	cdotOcPoint= ListToEvolve[[-1,2]];
	kOzPoint   = ListToEvolve[[-1,3]];
Return[Join[ListToEvolve,{
{cOzPoint    + cOzAlldot[   cOzPoint,cdotOcPoint]/ScaleFactor,
 cdotOcPoint + cdotOcAlldot[cOzPoint,cdotOcPoint]/ScaleFactor,
 kOzPoint    + kOzAlldot[   cOzPoint,kOzPoint   ]/ScaleFactor}}
           ]
      ]
];

Clear[EvolveSteps3D];
EvolveSteps3D[StartList_,NumberOfSteps_] :=
Block[{},
EvolvingList={StartList};
Do[
If[   Abs[Last[EvolvingList][[1]]] > cOzMax 
   || Abs[Last[EvolvingList][[2]]] > cdotOcMax
(*   || Abs[Last[EvolvingList][[3]]] > kOzSS *),
(* then *) Print["Breaking because an evolving variable exceeded bounds."];Break[]];
(* else *) 
EvolvingList = Evolve3D[EvolvingList];
,{i,NumberOfSteps}];
Return[EvolvingList]];
*)

Clear[Closest];
Closest[list_,point_] := Min[Abs[list - point]];

SmallEnoughToQuit = 0;
NumOfDevolvingPoints=4000;

(* Do it for the internal habits case *)

<<eqns_of_motion.m;
<<stable_arm.m;

InitialkOz    = InitialkOzFraction * kOzSS;
LeftArm       = (InitialkOzFraction < 1);
If[LeftArm,(* then *) ClosestkOzPos = Position[Abs[DevolvPtsLeftkOz- InitialkOz],Closest[DevolvPtsLeftkOz ,InitialkOz]][[1,1]],
           (* else *) ClosestkOzPos = Position[Abs[DevolvPtsRightkOz-InitialkOz],Closest[DevolvPtsRightkOz,InitialkOz]][[1,1]]
  ];
DevolvPts3D   = If[LeftArm,(* then *) DevolvPtsLeft3D,(* else *) DevolvPtsRight3D];
EvolvingSteps3D = Reverse[Take[DevolvPts3D,ClosestkOzPos]];
TEvolvingSteps3D = Transpose[EvolvingSteps3D];
EvolvingcOz    = TEvolvingSteps3D[[1]];
EvolvingcdotOc = TEvolvingSteps3D[[2]];
EvolvingkOz    = TEvolvingSteps3D[[3]];
EvolvingcOk    = EvolvingcOz/EvolvingkOz;
EvolvingkdotOk = (A - delta) - EvolvingcOk;
EvolvingsOy    = 1 - EvolvingcOk/A;

EvolvingkOkIfNoShock = EvolvingkdotOk;  (* Get the length right *)
EvolvingkOkIfNoShock[[1]] = InitialkOzFraction;
Do[
EvolvingkOkIfNoShock[[i]] = EvolvingkOkIfNoShock[[i-1]]*(1+EvolvingkdotOk[[i]])/((1+growth)),{i,2,Length[EvolvingkdotOk]}];


(* Now do it for the envy economy *)

<<eqns_of_motion_Envy.m;
<<stable_arm_decen.m;

InitialkOz    = InitialkOzFraction * kOzSS;
LeftArm       = (InitialkOzFraction < 1);
If[LeftArm,(* then *) ClosestkOzPos = Position[Abs[DDevolvPtsLeftkOz-InitialkOz],Closest[DDevolvPtsLeftkOz,InitialkOz]][[1,1]],
           (* else *) ClosestkOzPos = Position[Abs[DDevolvPtsRightkOz-InitialkOz],Closest[DDevolvPtsRightkOz,InitialkOz]][[1,1]]
  ];
DDevolvPts3D   = If[LeftArm,(* then *) DDevolvPtsLeft3D,(* else *) DDevolvPtsRight3D];
DEvolvingSteps3D = Reverse[Take[DDevolvPts3D,ClosestkOzPos]];
DTEvolvingSteps3D = Transpose[DEvolvingSteps3D];
DEvolvingcOz    = DTEvolvingSteps3D[[1]];
DEvolvingcdotOc = DTEvolvingSteps3D[[2]];
DEvolvingkOz    = DTEvolvingSteps3D[[3]];
DEvolvingcOk    = DEvolvingcOz/DEvolvingkOz;
DEvolvingkdotOk = (A - delta) - DEvolvingcOk;
DEvolvingsOy    = 1 - DEvolvingcOk/A;

DEvolvingkOkIfNoShock      = DEvolvingkdotOk;  (* Get the length right *)
DEvolvingkOkIfNoShock[[1]] = InitialkOzFraction;
Do[
DEvolvingkOkIfNoShock[[i]] = DEvolvingkOkIfNoShock[[i-1]]*(1+DEvolvingkdotOk[[i]])/((1+growth)),{i,2,Length[DEvolvingkdotOk]}];



