(* 
Do the first time series graphs, comparing the planner's
solution to the decentralized
*)

<<DisplayOff.m;
If[DisplayFigs == True,<<DisplayOn.m];

$DefaultFont = {"Times-Roman",8};

SPYears = Table[i/ScaleFactor,{i,Length[EvolvingcOz]}] //N;
 DYears = Table[i/ScaleFactor,{i,Length[DEvolvingcOz]}] //N;
YearsToShow = 25;

SPcOzTimeSeriesData = Transpose[{SPYears,EvolvingcOz}];
SPcOzTimeSeries = Interpolation[SPcOzTimeSeriesData];

(* Envy
 DcOzTimeSeriesData = Transpose[{ DYears,DEvolvingcOz}];
 DcOzTimeSeries = Interpolation[ DcOzTimeSeriesData];
*)

cOzTimeSeriesPlot = Plot[SPcOzTimeSeries[t],{t,1,YearsToShow}
,PlotStyle->{GrayLevel[0],{GrayLevel[0],Dashing[{0.01}]}}
(* Envy ,PlotLegend->{"\\mbox{Planner}","\\mbox{Decentralized}"}
   ,LegendSize->{1.8,.3} 
,LegendPosition->{.2,-.3} *)
,AxesLabel->{"Years","c/z"}
,PlotLabel->"\\mbox{Evolution of }c/z"
,AxesOrigin->{0,1}
,PlotRange->{{0,YearsToShow},{1,1.1}}
,AspectRatio->.5
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

SPcdotOcTimeSeriesData = Transpose[{SPYears,EvolvingcdotOc}];
SPcdotOcTimeSeries = Interpolation[SPcdotOcTimeSeriesData];

(*Envy
 DcdotOcTimeSeriesData = Transpose[{ DYears,DEvolvingcdotOc}];
 DcdotOcTimeSeries = Interpolation[ DcdotOcTimeSeriesData];
*)
cdotOcTimeSeriesPlot = Plot[SPcdotOcTimeSeries[t],{t,1,YearsToShow}
,PlotStyle->{GrayLevel[0],{GrayLevel[0],Dashing[{0.01}]}}
(* Envy ,PlotLegend->{"\\mbox{Planner}","\\mbox{Decentralized}"}
,LegendPosition->{.2,-.3}
,LegendSize->{1.8,.3} *)
,AxesLabel->{"Years","\dot{c}/c"}
,PlotLabel->"\\mbox{Evolution of }\dot{c}/c"
,AxesOrigin->{0,.013}
,PlotRange->{{0,YearsToShow},{.013,.02}}
,AspectRatio->.5
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

SPkdotOkTimeSeriesData = Transpose[{SPYears,EvolvingkdotOk}];
SPkdotOkTimeSeries = Interpolation[SPkdotOkTimeSeriesData];

(* Envy
 DkdotOkTimeSeriesData = Transpose[{ DYears,DEvolvingkdotOk}];
 DkdotOkTimeSeries = Interpolation[ DkdotOkTimeSeriesData];
*)

kdotOkTimeSeriesPlot = Plot[SPkdotOkTimeSeries[t],{t,1,YearsToShow}
,PlotStyle->{GrayLevel[0],{GrayLevel[0],Dashing[{0.01}]}}
(* Envy ,PlotLegend->{"\\mbox{Planner}","\\mbox{Decentralized}"}
,LegendPosition->{.2,-.3}
,LegendSize->{1.8,.3} *)
,AxesLabel->{"Years","\dot{k}/k"}
,PlotLabel->"\\mbox{Evolution of }\dot{k}/k"
,AxesOrigin->{0,.017}
,PlotRange->{{0,YearsToShow},{.017,.02}}
,AspectRatio->.5
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

SPsOyTimeSeriesData = Transpose[{SPYears,EvolvingsOy}];
SPsOyTimeSeries = Interpolation[SPsOyTimeSeriesData];
(* Envy
 DsOyTimeSeriesData = Transpose[{ DYears,DEvolvingsOy}];
 DsOyTimeSeries = Interpolation[ DsOyTimeSeriesData];
*)
sOyTimeSeriesPlot = Plot[SPsOyTimeSeries[t],{t,1,YearsToShow}
,PlotStyle->{GrayLevel[0],{GrayLevel[0],Dashing[{0.01}]}}
(* Envy ,PlotLegend->{"\\mbox{Planner}","\\mbox{Decentralized}"}
,LegendPosition->{.2,-.3}
,LegendSize->{1.8,.3} *)
,AxesLabel->{"Years","s/y"}
,PlotLabel->"\\mbox{Evolution of s/y}"
,AxesOrigin->{0,.475}
,PlotRange->{{0,YearsToShow},{.475,.5}}
,AspectRatio->.5
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

<<DisplayOn.m;
TimeSeries = GraphicsArray[{{cOzTimeSeriesPlot},{cdotOcTimeSeriesPlot},{kdotOkTimeSeriesPlot},{sOyTimeSeriesPlot}}
,GraphicsSpacing->.2
,DisplayFunction->$DisplayFunction
]

Show[TimeSeries];

dirout;
(*
PSDisplay["TimeSeries_Habits",TimeSeries]
!mv TimeSeries_Habits.psfix TimeSeries_Habits.ps
Display["TimeSeries_Habits",TimeSeries]
*)

DeleteFile["TimeSeries_Habits.sav"];
Save["TimeSeries_Habits.sav",TimeSeries];
dirprog;