(*

Program to generate figure showing time series effect of 
a 10% drop in the capital stock on the saving rate
and the growth rate in the planner's economy

*)

If[DisplayFigs == True,<<DisplayOn.m,<<DisplayOff.m];

<<TimeSeries_params.m;
YearsToShow = 25;
InitialkOzFraction = .9;
ScaleFactor = 2;

rho=.05;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m;
rho05kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\\rho=.05",DisplayFunction->$DisplayFunction];

rho=.2; 
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
rho20kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\\rho=0.2",DisplayFunction->$DisplayFunction];

rho=.8;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
rho80kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\\rho=0.8",DisplayFunction->$DisplayFunction];

rho=2;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
rho200kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\\rho=2.0",DisplayFunction->$DisplayFunction] ;

<<DisplayOn.m;
CompareRhos = Show[rho05kdotOkTimeSeriesPlots,rho20kdotOkTimeSeriesPlots,rho80kdotOkTimeSeriesPlots,rho200kdotOkTimeSeriesPlots
,PlotLabel->"Compare Rhos",DisplayFunction->$DisplayFunction];

gamma=.20;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
gam20kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\gamma=.20",DisplayFunction->$DisplayFunction];

gamma=.5;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
gam50kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\gamma=.5",DisplayFunction->$DisplayFunction];

gamma=.80;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
gam80kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\gamma=.80",DisplayFunction->$DisplayFunction];

CompareGammas = Show[gam20kdotOkTimeSeriesPlots,gam50kdotOkTimeSeriesPlots,gam80kdotOkTimeSeriesPlots,PlotRange->All
,PlotLabel->"Compare \gamma's"];


sigma=2;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
sig2kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\sigma=2",DisplayFunction->$DisplayFunction];

sigma=4;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
sig4kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\sigma=4",DisplayFunction->$DisplayFunction];

sigma=6;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
sig6kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\sigma=6",DisplayFunction->$DisplayFunction]; 

CompareSigmas = Show[sig2kdotOkTimeSeriesPlots,sig4kdotOkTimeSeriesPlots,sig6kdotOkTimeSeriesPlots,PlotRange->All
,PlotLabel->"Compare \sigma's"];

If[DisplayFigs == True,<<DisplayOn.m,<<DisplayOff.m];

