

<<CalcSS.m;
<<TimeSeries_Generate_Both.m;

EvolvingsOykShock     = EvolvingsOy;
EvolvingkdotOkkShock  = EvolvingkdotOk;
DEvolvingsOykShock    = DEvolvingsOy;
DEvolvingkdotOkkShock = DEvolvingkdotOk;

SPYears = Table[i/ScaleFactor,{i,Length[EvolvingsOy]}] //N;
DYears  = Table[i/ScaleFactor,{i,Length[DEvolvingsOy]}] //N;

SPsOyTimeSerieskShockData = Transpose[{SPYears,EvolvingsOykShock}];
SPsOyTimeSerieskShock     = Interpolation[SPsOyTimeSerieskShockData,InterpolationOrder->1];

SPkdotOkTimeSerieskShockData = Transpose[{SPYears,EvolvingkdotOkkShock}];
SPkdotOkTimeSerieskShock     = Interpolation[SPkdotOkTimeSerieskShockData,InterpolationOrder->1];

DsOyTimeSerieskShockData = Transpose[{DYears,DEvolvingsOykShock}];
DsOyTimeSerieskShock     = Interpolation[DsOyTimeSerieskShockData,InterpolationOrder->1];

DkdotOkTimeSerieskShockData = Transpose[{DYears,DEvolvingkdotOkkShock}];
DkdotOkTimeSerieskShock     = Interpolation[DkdotOkTimeSerieskShockData,InterpolationOrder->1];

sOyTimeSerieskShockPlot    = Plot[If[t>=1,(* then plot *) SPsOyTimeSerieskShock[t],(* else plot *) sOySS],{t,-1,YearsToShow}]
kdotOkTimeSerieskShockPlot = Plot[If[t>=1,(* then plot *) SPkdotOkTimeSerieskShock[t],(* else plot *) cdotOcSS],{t,-1,YearsToShow}]

sOyTimeSerieskShockPlotAftert1    = Plot[SPsOyTimeSerieskShock[t]   ,{t,1.,YearsToShow}]
kdotOkTimeSerieskShockPlotAftert1 = Plot[SPkdotOkTimeSerieskShock[t],{t,1.,YearsToShow}]

DsOyTimeSerieskShockPlot    = Plot[If[t>=1,(* then plot *) DsOyTimeSerieskShock[t],(* else plot *) sOySS],{t,-1,YearsToShow},PlotStyle->Dashing[{.01,.01}]]
DkdotOkTimeSerieskShockPlot = Plot[If[t>=1,(* then plot *) DkdotOkTimeSerieskShock[t],(* else plot *) cdotOcSS],{t,-1,YearsToShow},PlotStyle->Dashing[{.01,.01}]]

sOyTimeSeriesHabitsPlots = Show[sOyTimeSerieskShockPlot
(*,DsOyTimeSerieskShockPlot*)
,AxesOrigin->{-2,Min[EvolvingsOykShock]-.01}
,PlotRange->{{-2,YearsToShow+1},{Min[EvolvingsOykShock]-.01,sOySS+.01}}
,PlotLabel->"\\mbox{Dynamic Effect on the Saving Rate}"
,AxesLabel->{"Years","s/y"}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
,DisplayFunction->$DisplayFunction];

kdotOkTimeSeriesHabitsPlots = Show[kdotOkTimeSerieskShockPlot
(*,DkdotOkTimeSerieskShockPlot*)
,AxesOrigin->{-2,Min[EvolvingkdotOkkShock]}
,PlotRange->{{-2,YearsToShow+1},{Min[EvolvingkdotOkkShock],cdotOcSS+.001}}
,PlotLabel->"\\mbox{Dynamic Effect on the Growth Rate}"
,AxesLabel->{"Years","g"}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
,DisplayFunction->$DisplayFunction];

sOyTimeSeriesEnvyPlots = Show[(*sOyTimeSerieskShockPlot,*)
DsOyTimeSerieskShockPlot
,AxesOrigin->{-2,Min[EvolvingsOykShock]-.01}
,PlotRange->{{-2,YearsToShow+1},{Min[EvolvingsOykShock]-.01,sOySS+.01}}
,PlotLabel->"\\mbox{Dynamic Effect on the Saving Rate}"
,AxesLabel->{"Years","s/y"}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
,DisplayFunction->$DisplayFunction];

kdotOkTimeSeriesEnvyPlots = Show[(*kdotOkTimeSerieskShockPlot,*)
DkdotOkTimeSerieskShockPlot
,AxesOrigin->{-2,Min[EvolvingkdotOkkShock]}
,PlotRange->{{-2,YearsToShow+1},{Min[EvolvingkdotOkkShock],cdotOcSS+.001}}
,PlotLabel->"\\mbox{Dynamic Effect on the Growth Rate}"
,AxesLabel->{"Years","g"}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
,DisplayFunction->$DisplayFunction];

