(*

Program to generate figure showing time series effect of 
a 10% drop in the capital stock on the saving rate
and the growth rate in the planner's economy

*)

If[DisplayFigs == True,<<DisplayOn.m,<<DisplayOff.m];

$DefaultFont = {"Times-Roman",12};
<<TimeSeries_params.m;
YearsToShow = 25;
InitialkOzFraction = .9;
ScaleFactor = 2;

rho=.05;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m;
rho05kdotOkTimeSeriesHabitsPlots = Show[kdotOkTimeSeriesHabitsPlots,PlotLabel->"\[Rho]=.05",DisplayFunction->$DisplayFunction];
rho05kdotOkTimeSeriesEnvyPlots = Show[kdotOkTimeSeriesEnvyPlots,PlotLabel->"\[Rho]=.05",DisplayFunction->$DisplayFunction];

rho=.2; 
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
rho20kdotOkTimeSeriesHabitsPlots = Show[kdotOkTimeSeriesHabitsPlots,PlotLabel->"\[Rho]=0.2",DisplayFunction->$DisplayFunction];
rho20kdotOkTimeSeriesEnvyPlots = Show[kdotOkTimeSeriesEnvyPlots,PlotLabel->"\[Rho]=0.2",DisplayFunction->$DisplayFunction];

rho=.8;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
rho80kdotOkTimeSeriesHabitsPlots = Show[kdotOkTimeSeriesHabitsPlots,PlotLabel->"\[Rho]=0.8",DisplayFunction->$DisplayFunction];
rho80kdotOkTimeSeriesEnvyPlots = Show[kdotOkTimeSeriesEnvyPlots,PlotLabel->"\[Rho]=0.8",DisplayFunction->$DisplayFunction];

rho=2;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
rho200kdotOkTimeSeriesHabitsPlots = Show[kdotOkTimeSeriesHabitsPlots,PlotLabel->"\[Rho]=2.0",DisplayFunction->$DisplayFunction] ;
rho200kdotOkTimeSeriesEnvyPlots = Show[kdotOkTimeSeriesEnvyPlots,PlotLabel->"\[Rho]=2.0",DisplayFunction->$DisplayFunction] ;

<<DisplayOn.m;
ComparekShockHabitsEnvyrho20 = Show[rho20kdotOkTimeSeriesHabitsPlots,rho20kdotOkTimeSeriesEnvyPlots
,PlotLabel->"\rho = .2"
,DisplayFunction->$DisplayFunction
,PlotRange->{{-1,27},{.180,.210}}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

ComparekShockHabitsEnvyrho20 = Show[rho20kdotOkTimeSeriesHabitsPlots,rho20kdotOkTimeSeriesEnvyPlots
,PlotLabel->"\[Rho] = .2"
,DisplayFunction->$DisplayFunction
,PlotRange->{{-1,27},{.0180,.0210}}
,AxesOrigin->{-1,.0180}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

ComparekShockHabitsEnvyrho80 = Show[rho80kdotOkTimeSeriesHabitsPlots,rho80kdotOkTimeSeriesEnvyPlots
,PlotLabel->"\[Rho] = .8"
,DisplayFunction->$DisplayFunction
,PlotRange->{{-1,27},{.0180,.0210}}
,AxesOrigin->{-1,.0180}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];

ComparekShockHabitsEnvyrho200 = Show[rho200kdotOkTimeSeriesHabitsPlots,rho200kdotOkTimeSeriesEnvyPlots
,PlotLabel->"\[Rho] = 2.0"
,DisplayFunction->$DisplayFunction
,PlotRange->{{-1,27},{.0180,.0210}}
,AxesOrigin->{-1,.0180}
,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];


CompareRhosEnvy = Show[(*rho05kdotOkTimeSeriesEnvyPlots,*)rho20kdotOkTimeSeriesEnvyPlots,rho80kdotOkTimeSeriesEnvyPlots,rho200kdotOkTimeSeriesEnvyPlots
,PlotLabel->"Outward",DisplayFunction->$DisplayFunction];

CompareRhos = Show[GraphicsArray[{{ComparekShockHabitsEnvyrho20},{ComparekShockHabitsEnvyrho80},{ComparekShockHabitsEnvyrho200}}]
,ImageSize->FullPageSize];

diroutenvy;
Display["CompareRhos.eps",CompareRhos,"EPS"];
dirprog;

(*
gamma=.20;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
gam20kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\[Gamma]=.20",DisplayFunction->$DisplayFunction];

gamma=.5;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
gam50kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\[Gamma]=.5",DisplayFunction->$DisplayFunction];

gamma=.80;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
gam80kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\[Gamma]=.80",DisplayFunction->$DisplayFunction];

CompareGammas = Show[gam20kdotOkTimeSeriesPlots,gam50kdotOkTimeSeriesPlots,gam80kdotOkTimeSeriesPlots,PlotRange->All
,PlotLabel->"Compare \[Gamma]'s"];


sigma=2;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
sig2kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\[Sigma]=2",DisplayFunction->$DisplayFunction];

sigma=4;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
sig4kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\[Sigma]=4",DisplayFunction->$DisplayFunction];

sigma=6;
<<DisplayOff.m;<<TimeSeries_kShock_Both_Graph.m;<<DisplayOn.m
sig6kdotOkTimeSeriesPlots = Show[kdotOkTimeSeriesPlots,PlotLabel->"\[Sigma]=6",DisplayFunction->$DisplayFunction]; 

CompareSigmas = Show[sig2kdotOkTimeSeriesPlots,sig4kdotOkTimeSeriesPlots,sig6kdotOkTimeSeriesPlots,PlotRange->All
,PlotLabel->"Compare \[Sigma]'s"];

*)
If[DisplayFigs == True,<<DisplayOn.m,<<DisplayOff.m];


