
(*

Program to generate figure showing time series effect of 
a 10% drop in the capital stock on the saving rate
and the growth rate in the planner's economy

*)

Print["Running TimeSeries_kShock_Habits.m"];

If[DisplayFigs == True,<<DisplayOn.m,<<DisplayOff.m];

<<TimeSeries_params.m;<<CalcSS.m;

YearsToShow = 25;

InitialkOzFraction = .9;

ScaleFactor = 2;

gamma = .75;
sigma = 9;

<<CalcSS.m

<<TimeSeries_Generate_Habits.m;

sOySSgam75 = sOySS;
EvolvingsOykShockgam75    = EvolvingsOy;
EvolvingkdotOkkShockgam75 = EvolvingkdotOk;

SPYears = Table[i/ScaleFactor,{i,Length[EvolvingcOz]}] //N;

SPsOygam75TimeSerieskShockData = Transpose[{SPYears,EvolvingsOykShockgam75}];
SPsOygam75TimeSerieskShock     = Interpolation[SPsOygam75TimeSerieskShockData,InterpolationOrder->1];

SPkdotOkgam75TimeSerieskShockData = Transpose[{SPYears,EvolvingkdotOkkShockgam75}];
SPkdotOkgam75TimeSerieskShock     = Interpolation[SPkdotOkgam75TimeSerieskShockData,InterpolationOrder->1];

sOygam75TimeSerieskShockPlot    = Plot[If[t>=1,(* then plot *) SPsOygam75TimeSerieskShock[t],(* else plot *) sOySS],{t,-1,YearsToShow}]
kdotOkgam75TimeSerieskShockPlot = Plot[If[t>=1,(* then plot *) SPkdotOkgam75TimeSerieskShock[t],(* else plot *) cdotOcSS],{t,-1,YearsToShow}]

ScaleFactor = 3;
gamma = .5;
sigma = 5;

<<CalcSS.m;

<<TimeSeries_Generate_Habits.m;

sOySSgam5 = sOySS;
EvolvingsOykShockgam5    = EvolvingsOy;
EvolvingkdotOkkShockgam5 = EvolvingkdotOk;

SPYears = Table[i/ScaleFactor,{i,Length[EvolvingcOz]}] //N;

SPsOygam5TimeSerieskShockData = Transpose[{SPYears,EvolvingsOykShockgam5}];
SPsOygam5TimeSerieskShock     = Interpolation[SPsOygam5TimeSerieskShockData,InterpolationOrder->1];

SPkdotOkgam5TimeSerieskShockData = Transpose[{SPYears,EvolvingkdotOkkShockgam5}];
SPkdotOkgam5TimeSerieskShock     = Interpolation[SPkdotOkgam5TimeSerieskShockData,InterpolationOrder->1];

sOygam5TimeSerieskShockPlot    = Plot[If[t>=1,(* then plot *) SPsOygam5TimeSerieskShock[t],(* else plot *) sOySS],{t,-1,YearsToShow}]
kdotOkgam5TimeSerieskShockPlot = Plot[If[t>=1,(* then plot *) SPkdotOkgam5TimeSerieskShock[t],(* else plot *) cdotOcSS],{t,-1,YearsToShow}]


gamma = .25;
sigma = 3.6666;
ScaleFactor = 4;

<<CalcSS.m;

<<TimeSeries_Generate_Habits.m;

sOySSgam25 = sOySS;
EvolvingsOykShockgam25    = EvolvingsOy;
EvolvingkdotOkkShockgam25 = EvolvingkdotOk;

SPYears = Table[i/ScaleFactor,{i,Length[EvolvingcOz]}] //N;

SPsOygam25TimeSerieskShockData = Transpose[{SPYears,EvolvingsOykShockgam25}];
SPsOygam25TimeSerieskShock     = Interpolation[SPsOygam25TimeSerieskShockData,InterpolationOrder->1];

SPkdotOkgam25TimeSerieskShockData = Transpose[{SPYears,EvolvingkdotOkkShockgam25}];
SPkdotOkgam25TimeSerieskShock     = Interpolation[SPkdotOkgam25TimeSerieskShockData,InterpolationOrder->1];

sOygam25TimeSerieskShockPlot    = Plot[If[t>=1,(* then plot *) SPsOygam25TimeSerieskShock[t],(* else plot *) sOySS],{t,-1,YearsToShow}]
kdotOkgam25TimeSerieskShockPlot = Plot[If[t>=1,(* then plot *) SPkdotOkgam25TimeSerieskShock[t],(* else plot *) cdotOcSS],{t,-1,YearsToShow}]

$DefaultFont = {"Times-Roman",14};

sOyTimeSeriesPlots    = 
  Plot[{
     If[t>1,SPsOygam75TimeSerieskShock[t],sOySS]
    ,If[t>1,SPsOygam5TimeSerieskShock[t],sOySS]
    ,If[t>1,SPsOygam25TimeSerieskShock[t],sOySS]}
  ,{t,-1,YearsToShow}
  ,PlotStyle->{{GrayLevel[0],Dashing[{0.02}]},{GrayLevel[0],Dashing[{0.01}]},GrayLevel[0]}
  ,AxesOrigin->{-2,Min[EvolvingsOykShockgam75]-.01}
  ,PlotRange->{{-2,26},{Min[EvolvingsOykShockgam75]-.01,Max[EvolvingsOykShockgam75]+.01}}
  ,PlotLabel->"Saving Rate"
  ,PlotRange->All
  ,AxesLabel->{"Years","s/y"}
  ,PlotLegend->{"Strong Habits","Medium Habits","Weak Habits"}
  ,LegendSize->{0.90,.25}
  ,LegendPosition->{-.15,-.4}
  ,LegendShadow->{0,0}
  ,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
];
    


kdotOkTimeSeriesPlots = Plot[
    { If[t>1,SPkdotOkgam75TimeSerieskShock[t],cdotOcSS]
    ,If[t>1,SPkdotOkgam5TimeSerieskShock[t],cdotOcSS]
    ,If[t>1,SPkdotOkgam25TimeSerieskShock[t],cdotOcSS]}
    ,{t,-1,YearsToShow}
    ,PlotStyle->{{GrayLevel[0],Dashing[{0.02}]},{GrayLevel[0],Dashing[{0.01}]},GrayLevel[0]}
    ,AxesOrigin->{-2,Min[EvolvingkdotOkkShockgam75]*.95}
    ,PlotRange->{{-2,26},{Min[EvolvingkdotOkkShockgam75]*.95,Max[EvolvingkdotOkkShockgam75]+.001}}
    ,PlotLabel->"Growth Rate"
    ,AxesLabel->{"Years","\!\(\(y\& . \)/y\)"}
    ,Ticks->(TickFunction[#1,#2,TextFunction->TrimText]&)
    ,PlotLegend->{"Strong Habits","Medium Habits","Weak Habits"}
    ,LegendSize->{0.90,.25}
    ,LegendPosition->{-.15,-.4}
    ,LegendShadow->{0,0}
];

If[DisplayFinalFigs==True,dirprog;<<DisplayOn.m;,<<DisplayOff.m];

kShockFigs = GraphicsArray[{{sOyTimeSeriesPlots},{kdotOkTimeSeriesPlots}}
,DisplayFunction->$DisplayFunction
,ImageSize->FullPageSize
];

Show[kShockFigs];

dirouthabits;
Display["kShockFigs.eps",kShockFigs,"EPS"];
dirprog;