(*

This file sets the boundaries for the figures

*)

Print["Constructing boundaries for the figures."];

cdotOcMinDevolving = -.3;
cdotOcMaxDevolving = 4;

cOzMinDevolving = -.5;
cOzMaxDevolving = 6;

cOzMinDevolving = 0;
cOzMaxDevolving = 6;

kOzMaxDevolving = 35;
kOzMinDevolving = 0;

cOzMincOzVSkOz = .25;
cOzMaxcOzVSkOz = 2.6;

cOkMax = A-epsilon;

cOzMin = 0;
cOzMax = 4;

cOzMincOzVScdotOcPlot = .6;
cOzMincOzVScdotOcPlot = 0;
cOzMaxcOzVScdotOcPlot = 3.5;

cOzMincOzVScdotOcAxis = cOzMincOzVScdotOcPlot - .4;
cOzMaxcOzVScdotOcAxis = cOzMaxcOzVScdotOcPlot + .4;

cdotOcMincOzVScdotOcAxis = -1.2;
cdotOcMaxcOzVScdotOcAxis = 2.5;

cdotOcMincOzVScdotOcDevolving = -.8;
cdotOcMaxcOzVScdotOcDevolving = 2;

cOzMincOzVScdotOcDevolving    = 0
cOzMaxcOzVScdotOcDevolving    = 4;

cOzMincOzVSkOzPlot = 0;
cOzMaxcOzVSkOzPlot = 3.5;

(* 
cOzLeftStartingPoint and cOzRightStartingPoint are the 
points at which the evolving paths above the horizontal 
axis (the dotted lines) begin in the cOzVScdotOc phase diagram
*)

cOzLeftStartingPoint  = .6;
cOzRightStartingPoint = 3.5;

cOzMinkOzAlldotEqZero = cOzMincOzVScdotOc;

Clear[cOzVSkOzWherekOzAlldotEqZero];
Clear[kOzVScOzWherekOzAlldotEqZero];

cOzVSkOzWherekOzAlldotEqZero[cOz_] := cOz/((A - delta + rho) - rho cOz);
kOzVScOzWherekOzAlldotEqZero[kOz_] := kOz * (A - delta + rho)/(1 + rho kOz);


cOzMin3DPlot = 0;  (* This gets reset in PhaseDiagram3D.m *)
cOzMax3DPlot = 4; 

cOzMin3DAxis = 0;
cOzMax3DAxis = 4;

kOzMincOzVSkOz = 0;
kOzMaxcOzVSkOz = 9.555;

kOzMin2DPlot = .15;
kOzMax2DPlot = 10;

kOzMin3DPlot = 0; 
kOzMax3DPlot = 9; (* Is not used at present *)

cdotOcMin3DPlot = -.5;
cdotOcMax3DPlot = cdotOcMax;

cdotOcMin = InvcOzAlldotIsZeroUpper[cOzMincOzVScdotOcPlot];
cdotOcMax = InvcOzAlldotIsZeroUpper[cOzMaxcOzVScdotOcPlot];

cdotOcMin3DPlot = -.5;
cdotOcMax3DPlot = cdotOcMax;
