(*

Program to create the equations of motion.

This program also verifies derivations presented or asserted in the text

*)

Print["Constructing equations of motion."];

cOzAlldotIsZeroFuncs = DSolve[0 == cOz[t] (cdotOc - rho (cOz[t]-1)),cOz[t],t] (* Differential equation for c/z; equation (7) *)

cOzAlldot[cOz_,cdotOc_] := cOz (cdotOc-rho(cOz-1));

cOzAlldotIsZeroLower = Function[cdotOc, Evaluate[cOzAlldotIsZeroFuncs[[1,1,2]]]];

(* Lower solution is identically zero, so ignore it henceforth *)

cOzAlldotIsZeroUpper = Function[cdotOc, Evaluate[cOzAlldotIsZeroFuncs[[2,1,2]]]];

(* the solution is cOz[t] = cdotOc/rho + 1 *)

Clear[InvcOzAlldotIsZeroUpper];
InvcOzAlldotIsZeroUpper[cOz_] := rho( cOz -1);

Clear[cdotOcAlldotIsZeroFuncs];

cdotOcAlldotIsZeroFuncs = DSolve[0 == 2 gamma rho (1 - sigma) cdotOc[t] cOz +
cdotOc[t](2 theta + rho + delta - A - 2 gamma rho (1 - sigma)) -
rho^2 gamma (gamma (1 - sigma) + 1) (cOz)^2 +
sigma (cdotOc[t])^2 + (rho gamma / sigma) cOz (rho (gamma (1 - sigma))(2 sigma -1) + theta + rho - sigma (2 theta + delta - A)) +
(1/sigma)((rho + theta)(theta + delta - A) + rho gamma (1-sigma) (rho ( gamma(1-sigma)+1) - (2 theta+2 rho + delta - A)))
,cdotOc,t];

Clear[cdotOcAlldot];
cdotOcAlldot[cOz_,cdotOc_] := 2 gamma rho (1 - sigma) cdotOc cOz +
cdotOc(2 theta + rho + delta - A - 2 gamma rho (1 - sigma)) -
rho^2 gamma (gamma (1 - sigma) + 1) (cOz)^2 +
sigma (cdotOc)^2 + (rho gamma / sigma) cOz (rho (gamma (1 - sigma))(2 sigma -1) + theta + rho - sigma (2 theta + delta - A)) +
(1/sigma)((rho + theta)(theta + delta - A) + rho gamma (1-sigma) (rho ( gamma(1-sigma)+1) - (2 theta+2 rho + delta - A)));

Clear[cdotOcAlldotListForm];
cdotOcAlldotListForm[cOzAndcdotOcList_] := 2 gamma rho (1 - sigma) cOzAndcdotOcList[[2]] cOzAndcdotOcList[[1]] +
cOzAndcdotOcList[[2]](2 theta + rho + delta - A - 2 gamma rho (1 - sigma)) -
rho^2 gamma (gamma (1 - sigma) + 1) (cOzAndcdotOcList[[1]])^2 +
sigma (cOzAndcdotOcList[[2]])^2 + (rho gamma / sigma) cOzAndcdotOcList[[1]] (rho (gamma (1 - sigma))(2 sigma -1) + theta + rho - sigma (2 theta + delta - A)) +
(1/sigma)((rho + theta)(theta + delta - A) + rho gamma (1-sigma) (rho ( gamma(1-sigma)+1) - (2 theta+2 rho + delta - A)));


(* Extract the functions from the results of the solution to the diff eqn *)

cdotOcIsZeroLower = Function[cOz, Evaluate[cdotOcAlldotIsZeroFuncs[[1,1,2,1]]]]
cdotOcIsZeroUpper = Function[cOz, Evaluate[cdotOcAlldotIsZeroFuncs[[2,1,2,1]]]]

cOkAlldot[cdotOcPoint_,cOkPoint_] := cOkPoint*(cdotOcPoint + cOkPoint - A - delta);

Clear[kOzAlldot];
kOzAlldot[cOzPoint_,kOzPoint_]    := kOzPoint (A - delta - rho (cOzPoint - 1)) - cOzPoint;

Clear[kOzAlldotListForm];
kOzAlldotListForm[cOzAndkOzList_] := cOzAndkOzList[[2]] (A - delta - rho (cOzAndkOzList[[1]] - 1)) - cOzAndkOzList[[1]];
