
(*

Program to create the equations of motion for the decentralized (envy) economy

*)

cOzAlldotIsZeroFuncs = DSolve[0 == cOz[t] (rho + cdotOc) - rho (cOz[t])^2,cOz[t],t]

cOzAlldot[cOz_,cdotOc_] := cOz (rho + cdotOc) - rho cOz^2;

cOzAlldotIsZeroLower = Function[cdotOc, Evaluate[cOzAlldotIsZeroFuncs[[1,1,2]]]]

(* Lower solution is identically zero, so ignore it henceforth *)

cOzAlldotIsZeroUpper = Function[cdotOc, Evaluate[cOzAlldotIsZeroFuncs[[2,1,2]]]]

Clear[InvcOzAlldotIsZeroUpper];
InvcOzAlldotIsZeroUpper[cOz_] := rho( cOz -1);

Clear[cdotOcAlldotIsZeroFuncs];
cdotOcAlldotIsZeroFuncs = DSolve[0==((rho gamma (sigma - 1))/sigma) cOz (cdotOc[t] - rho (cOz - 1))
,cdotOc,t]

Clear[cdotOcAlldot];
cdotOcAlldot[cOz_,cdotOc_] :=       ((rho gamma (sigma - 1))/sigma) cOz (cdotOc    - rho (cOz - 1))

Clear[cdotOcAlldotListForm];
cdotOcAlldotListForm[cOzAndcdotOcList_] :=       ((rho gamma (sigma - 1))/sigma) cOzAndcdotOcList[[1]] (cOzAndcdotOcList[[2]]    - rho (cOzAndcdotOcList[[1]] - 1))


(* Extract the functions from the results of the solution to the diff eqn *)

(*
Mathematica 2.1 version 
cdotOcIsZero = Function[cOz, Evaluate[cdotOcAlldotIsZeroFuncs[[1,1,2,1]]]];
*)

cdotOcIsZero = Function[cOz, Evaluate[cdotOcAlldotIsZeroFuncs[[1,1,2,1]]]];


(* It turns out that the loci for cdotOcAlldot=0 and cOzAlldot = 0 are identical *)

cOkSS    = A - delta - (A - theta - delta)/(sigma(1-gamma)+gamma);
cdotOcSS = (A - theta - delta)/(sigma(1-gamma) + gamma);
cOzSS    = 1 + (1/rho) ((A - theta - delta)/(sigma(1-gamma)+gamma));

cdotOcSS2 = -((rho(1-gamma)+theta)/sigma(1-gamma));
cOzSS2    = 1 + (-1/rho)((rho(1-gamma)+theta)/sigma(1-gamma));

Clear[kOzAlldotListForm];
kOzAlldotListForm[cOzAndkOzList_] := cOzAndkOzList[[2]] (A - delta - rho (cOzAndkOzList[[1]] - 1)) - cOzAndkOzList[[1]];
