
(* Read in some supplementary packages needed for the programs *)

Print["Setup is on."];

<<Graphics`Animation`
<<Graphics`Shapes`
<<Arrow.m
<<Graphics`Legend`
<<Graphics`MultipleListPlot`
<<Statistics`DataManipulation`
<<ticks.m

Clear[Distance2D];
Clear[Distance3D];
Distance2D[point1_,point2_] := ( (point2[[1]] - point1[[1]])^2 + (point2[[2]] - point1[[2]])^2)^(1/2) //N;
Distance3D[point1_,point2_] := ( Distance2D[Take[point1,2],Take[point2,2]] ^2 + (point2[[3]] - point1[[3]])^2)^(1/2) //N;

ParentDir = Directory[];


If[$MachineType == "Macintosh",ParentDirectoryString = "::",ParentDirectoryString = ".."];
If[$MachineType == "Macintosh",SubDirectoryString = ":",SubDirectoryString = "/"];
If[$MachineType == "PC",SubDirectoryString = "\\"];

dirout  := SetDirectory[ParentDir<>SubDirectoryString<>"output"];
dirouthabits := SetDirectory[ParentDir<>SubDirectoryString<>"output"<>SubDirectoryString<>"habits"];
diroutenvy   := SetDirectory[ParentDir<>SubDirectoryString<>"output"<>SubDirectoryString<>"envy"];
dirprog := SetDirectory[ParentDir];

dirprog;
DeleteFile["DisplayOn.m"];
Save["DisplayOn.m",$Display,$DisplayFunction];

$DefaultFont = {"Times-Roman",14}; 

FullPageSize = {72. 6.,72. 9.};
HalfPageSize = {72. 6.,72. 6./GoldenRatio};